org.apache.commons.math3.optimization.direct

## Class BaseAbstractMultivariateSimpleBoundsOptimizer<FUNC extends MultivariateFunction>

- java.lang.Object
- - org.apache.commons.math3.optimization.direct.BaseAbstractMultivariateOptimizer<FUNC>
  - - org.apache.commons.math3.optimization.direct.BaseAbstractMultivariateSimpleBoundsOptimizer<FUNC>

Type Parameters:
  `FUNC` - Type of the objective function to be optimized.

All Implemented Interfaces:
  BaseMultivariateOptimizer<FUNC>, BaseMultivariateSimpleBoundsOptimizer<FUNC>, BaseOptimizer<PointValuePair>

Direct Known Subclasses:
  BOBYQAOptimizer, CMAESOptimizer

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public abstract class BaseAbstractMultivariateSimpleBoundsOptimizer<FUNC extends MultivariateFunction>
    extends BaseAbstractMultivariateOptimizer<FUNC>
    implements BaseMultivariateOptimizer<FUNC>, BaseMultivariateSimpleBoundsOptimizer<FUNC>

Base class for implementing optimizers for multivariate scalar functions, subject to simple bounds: The valid range of the parameters is an interval. The interval can possibly be infinite (in one or both directions). This base class handles the boiler-plate methods associated to thresholds settings, iterations and evaluations counting.

Since:
  3.0
Version:
  $Id: BaseAbstractMultivariateSimpleBoundsOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

### Field Summary

### Fields inherited from class org.apache.commons.math3.optimization.direct.BaseAbstractMultivariateOptimizer

`evaluations`

### Constructor Summary

Constructors
`protected` `BaseAbstractMultivariateSimpleBoundsOptimizer()` Deprecated. See `SimpleValueChecker.SimpleValueChecker()`
`protected` `BaseAbstractMultivariateSimpleBoundsOptimizer(ConvergenceChecker<PointValuePair> checker)` Deprecated.

### Method Summary

Methods
`double[]` `getLowerBound()` Deprecated.
`double[]` `getUpperBound()` Deprecated.
`PointValuePair` `optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint)` Deprecated. Optimize an objective function.
`PointValuePair` `optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint, double[] lower, double[] upper)` Deprecated. Optimize an objective function.

### Methods inherited from class org.apache.commons.math3.optimization.direct.BaseAbstractMultivariateOptimizer

`computeObjectiveValue, doOptimize, getConvergenceChecker, getEvaluations, getGoalType, getMaxEvaluations, getStartPoint, optimize, optimizeInternal, optimizeInternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`

### Constructor Detail

#### BaseAbstractMultivariateSimpleBoundsOptimizer

    @Deprecated
    protected BaseAbstractMultivariateSimpleBoundsOptimizer()

Deprecated. See `SimpleValueChecker.SimpleValueChecker()`
Simple constructor with default settings. The convergence checker is set to a `SimpleValueChecker`.

See Also:
  `BaseAbstractMultivariateOptimizer.BaseAbstractMultivariateOptimizer()`

#### BaseAbstractMultivariateSimpleBoundsOptimizer

    protected BaseAbstractMultivariateSimpleBoundsOptimizer(ConvergenceChecker<PointValuePair> checker)

Deprecated.

Parameters:
  `checker` - Convergence checker.

### Method Detail

#### getLowerBound

    public double[] getLowerBound()

Deprecated.

Overrides:
  `getLowerBound` in class `BaseAbstractMultivariateOptimizer<FUNC extends MultivariateFunction>`
Returns:
  the lower bounds.

#### getUpperBound

    public double[] getUpperBound()

Deprecated.

Overrides:
  `getUpperBound` in class `BaseAbstractMultivariateOptimizer<FUNC extends MultivariateFunction>`
Returns:
  the upper bounds.

#### optimize

    public PointValuePair optimize(int maxEval,
                          FUNC f,
                          GoalType goalType,
                          double[] startPoint)

Deprecated.
Optimize an objective function.

Specified by:
  `optimize` in interface `BaseMultivariateOptimizer<FUNC extends MultivariateFunction>`
Overrides:
  `optimize` in class `BaseAbstractMultivariateOptimizer<FUNC extends MultivariateFunction>`
Parameters:
  `maxEval` - Maximum number of function evaluations.
  `f` - Objective function.
  `goalType` - Type of optimization goal: either `GoalType.MAXIMIZE` or `GoalType.MINIMIZE`.
  `startPoint` - Start point for optimization.
Returns:
  the point/value pair giving the optimal value for objective function.

#### optimize

    public PointValuePair optimize(int maxEval,
                          FUNC f,
                          GoalType goalType,
                          double[] startPoint,
                          double[] lower,
                          double[] upper)

Deprecated.
Optimize an objective function.

Specified by:
  `optimize` in interface `BaseMultivariateSimpleBoundsOptimizer<FUNC extends MultivariateFunction>`
Parameters:
  `maxEval` - Maximum number of function evaluations.
  `f` - Objective function.
  `goalType` - Type of optimization goal: either `GoalType.MAXIMIZE` or `GoalType.MINIMIZE`.
  `startPoint` - Start point for optimization.
  `lower` - Lower bound for each of the parameters.
  `upper` - Upper bound for each of the parameters.
Returns:
  the point/value pair giving the optimal value for objective function.